dots.v2.uptime.checks.byCheck_id().state.get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.uptime.checks.byCheck_id(check_id).state.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | StateGetResponse>

Description

To show information about an existing check’s state, send a GET request to /v2/uptime/checks/{check_id}/state.

Parameters

check_id string required

Example: 4de7ac8b-495b-4884-9a69-1050c6793cd6

A unique identifier for a check.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.uptime.checks
    .byCheck_id("4de7ac8b-495b-4884-9a69-1050c6793cd6").state.get();

Response Example

Show Response Example
{
  "state": {
    "previous_outage": {
      "region": "us_east",
      "started_at": "2022-03-17T18:04:55Z",
      "ended_at": "2022-03-17T18:06:55Z",
      "duration_seconds": 120
    }
  }
}

More Information

See /v2/uptime/checks/{check_id}/state in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.